package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "sdm_skoringtindakanperawat_t")
public class SkoringTindakanPerawat extends BaseTransaction {

	@Column(name = "skor", nullable = false)
	@Caption(value = "Nilai Skor")
	private Double skor;

	@Column(name = "statusverifikasi", nullable = false)
	@Caption(value = "Status Verifikasi")
	private Boolean statusVerifikasi;

	@Caption(value = "Tanggal Mulai Berlaku")
	@Column(name = "tanggalmulaiberlaku", nullable = false)
	@Temporal(TemporalType.DATE)
	private Date tanggalMulaiBerlaku;

	@Caption(value = "Tanggal Pembaharuan Data")
	@Column(name = "tanggalpembaharuandata", nullable = false)
	@Temporal(TemporalType.TIMESTAMP)
	private Date tanggalPembaharuanData;

	@ManyToOne
	@NotNull(message = "Produk Perawat tidak boleh kosong")
	@JoinColumn(name = "objectprodukperawatfk")
	@Caption(value = "Produk Perawat")
	private ProdukPerawat produk;

	@Column(name = "objectprodukperawatfk", insertable = false, updatable = false, nullable = false)
	private Integer produkId;

	public Double getSkor() {
		return skor;
	}

	public void setSkor(Double skor) {
		this.skor = skor;
	}

	public Boolean getStatusVerifikasi() {
		return statusVerifikasi;
	}

	public void setStatusVerifikasi(Boolean statusVerifikasi) {
		this.statusVerifikasi = statusVerifikasi;
	}

	public Date getTanggalMulaiBerlaku() {
		return tanggalMulaiBerlaku;
	}

	public void setTanggalMulaiBerlaku(Date tanggalMulaiBerlaku) {
		this.tanggalMulaiBerlaku = tanggalMulaiBerlaku;
	}

	public Date getTanggalPembaharuanData() {
		return tanggalPembaharuanData;
	}

	public void setTanggalPembaharuanData(Date tanggalPembaharuanData) {
		this.tanggalPembaharuanData = tanggalPembaharuanData;
	}

	public ProdukPerawat getProduk() {
		return produk;
	}

	public void setProduk(ProdukPerawat produk) {
		this.produk = produk;
	}

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

}
